## org.eclipse.datatools.connectivity.oda.design
Interface DesignerState

    public interface DesignerState

Private state of an ODA designer upon exit of a design session.

The following features are supported:

- `Version`
- `State Content`

See Also:
  `DesignPackage.getDesignerState()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DesignerStateContent` `getStateContent()` Returns the value of the 'State Content' containment reference.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute.
`void` `setNewStateContentAsBlob(byte[] value)` Sets the value of the State Content As Blob attribute in a new State Content containment reference.
`void` `setNewStateContentAsString(java.lang.String value)` Sets the value of the State Content As String attribute in a new State Content containment reference.
`void` `setStateContent(DesignerStateContent value)` Sets the value of the '`State Content`' containment reference.
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getVersion

    java.lang.String getVersion()

  Returns the value of the 'Version' attribute. Version of the designer state's data format.

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `DesignPackage.getDesignerState_Version()`

### setVersion

    void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

### getStateContent

    DesignerStateContent getStateContent()

  Returns the value of the 'State Content' containment reference. Designer's private state information; its content is a blackbox to an ODA host.

  Returns:
    the value of the 'State Content' containment reference.
  See Also:
    `setStateContent(DesignerStateContent)`, `DesignPackage.getDesignerState_StateContent()`

### setStateContent

    void setStateContent(DesignerStateContent value)

  Sets the value of the '`State Content`' containment reference.

  Parameters:
    `value` - the new value of the 'State Content' containment reference.
  See Also:
    `getStateContent()`

### setNewStateContentAsString

    void setNewStateContentAsString(java.lang.String value)

  Sets the value of the State Content As String attribute in a new State Content containment reference.

  Parameters:
    `value` - the String content value of the new 'State Content' containment reference.
  See Also:
    `setStateContent(DesignerStateContent)`

### setNewStateContentAsBlob

    void setNewStateContentAsBlob(byte[] value)

  Sets the value of the State Content As Blob attribute in a new State Content containment reference.

  Parameters:
    `value` - the Blob content value of the new 'State Content' containment reference.
  See Also:
    `setStateContent(DesignerStateContent)`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.